summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-dns/idnkit')
-rw-r--r--net-dns/idnkit/Manifest1
-rw-r--r--net-dns/idnkit/files/idnkit-1.0-autotools.patch64
-rw-r--r--net-dns/idnkit/idnkit-1.0-r2.ebuild42
-rw-r--r--net-dns/idnkit/metadata.xml8
4 files changed, 115 insertions, 0 deletions
diff --git a/net-dns/idnkit/Manifest b/net-dns/idnkit/Manifest
new file mode 100644
index 00000000000..52bd1542c12
--- /dev/null
+++ b/net-dns/idnkit/Manifest
@@ -0,0 +1 @@
+DIST idnkit-1.0-src.tar.gz 432823 SHA256 16cd5fce81a5180d6a2c61cf20572668b3dc59f5c39c272b75fa98edab3391fc SHA512 74f2db007a1991610f62a7a060d534f724f08395a16a7d76fda0824e9017aa47ffe4e251c90d0481218b70534fcd2b32724a66223042f59c1e16c1ff39f3be19 WHIRLPOOL 739206c47acacb32a7858f10665bdf7259b747291769da917a68f92dd200fbd31340eb2af22e281bd55c1b976e1cf264faa7d2110a9ee6b5a3a0ead6d1947dad
diff --git a/net-dns/idnkit/files/idnkit-1.0-autotools.patch b/net-dns/idnkit/files/idnkit-1.0-autotools.patch
new file mode 100644
index 00000000000..d0918bc9184
--- /dev/null
+++ b/net-dns/idnkit/files/idnkit-1.0-autotools.patch
@@ -0,0 +1,64 @@
+--- a/configure.in 2003-03-11 00:53:20.000000000 +0100
++++ b/configure.in 2010-03-12 14:15:24.000000000 +0100
+@@ -629,6 +629,41 @@
+ fi
+ fi
+
++AC_DEFUN(AC_FIND_SYSTEM_SHOBJ,[
++AC_MSG_CHECKING(for $1 shared object)
++shobj_name=$1
++shobj_path=
++case "$host" in
++*-hpux*)
++ SOEXT=sl
++ ;;
++*)
++ SOEXT=so
++ ;;
++esac
++for shobj_libdir in /lib /usr/lib; do
++ if test -f $shobj_libdir/$shobj_name.$SOEXT; then
++ shobj_path=$shobj_libdir/$shobj_name.$SOEXT
++ else
++ shobj_path=`ls -r $shobj_libdir/$shobj_name.$SOEXT* 2>/dev/null | head -1`
++ if test "$shobj_path" != "" -a -f "$shobj_path"; then
++ :
++ else
++ shobj_path=
++ fi
++ fi
++ if test "$shobj_path" != ""; then
++ AC_MSG_RESULT($shobj_path)
++ shobj_pathsymbol=SOPATH_`echo $shobj_name | sed 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
++ AC_DEFINE_UNQUOTED($shobj_pathsymbol, "$shobj_path")
++ break
++ fi
++done
++if test "$shobj_path" = ""; then
++ AC_MSG_RESULT(no)
++fi
++])dnl
++
+ dnl Find system shared object paths.
+ AC_FIND_SYSTEM_SHOBJ(libc)
+ if test "$install_runidn" = yes ; then
+--- a/lib/Makefile.in 2003-03-12 17:14:41.000000000 +0100
++++ b/lib/Makefile.in 2010-03-12 15:54:35.000000000 +0100
+@@ -241,7 +241,7 @@
+
+ install-common:
+ $(MKINSTALLDIRS) $(DESTDIR)$(libdir)
+- $(LIBTOOL) $(INSTALL_DATA) $(LITELIB).la \
++ $(LIBTOOL) --mode=install $(INSTALL_DATA) $(LITELIB).la \
+ $(DESTDIR)$(libdir)/$(LITELIB).la
+ -[ -f $(DESTDIR)$(libdir)/$(LITELIB).a ] \
+ && $(RANLIB) $(DESTDIR)$(libdir)/$(LITELIB).a
+@@ -262,7 +262,7 @@
+
+ install-nolite:
+ $(MKINSTALLDIRS) $(DESTDIR)$(libdir)
+- $(LIBTOOL) $(INSTALL_DATA) $(LIB).la \
++ $(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIB).la \
+ $(DESTDIR)$(libdir)/$(LIB).la
+ -[ -f $(DESTDIR)$(libdir)/$(LIB).a ] \
+ && $(RANLIB) $(DESTDIR)$(libdir)/$(LIB).a
diff --git a/net-dns/idnkit/idnkit-1.0-r2.ebuild b/net-dns/idnkit/idnkit-1.0-r2.ebuild
new file mode 100644
index 00000000000..961c3bb054f
--- /dev/null
+++ b/net-dns/idnkit/idnkit-1.0-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils
+
+DESCRIPTION="Toolkit for Internationalized Domain Names (IDN)"
+HOMEPAGE="http://www.nic.ad.jp/ja/idn/idnkit/download/"
+SRC_URI="http://www.nic.ad.jp/ja/idn/idnkit/download/sources/${P}-src.tar.gz"
+
+LICENSE="JNIC"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
+IUSE="static-libs"
+
+DEPEND="virtual/libiconv"
+
+S=${WORKDIR}/${P}-src
+
+src_prepare() {
+ # Bug 263135, old broken libtool bundled
+ rm -f aclocal.m4 || die "rm failed"
+ epatch "${FILESDIR}/${P}-autotools.patch"
+ mv configure.{in,ac} || die
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=""
+ if has_version dev-libs/libiconv; then
+ myconf="--with-iconv"
+ fi
+ econf $(use_enable static-libs static) ${myconf}
+}
+
+src_install() {
+ default
+ use static-libs || find "${ED}" -name 'lib*.la' -delete
+ dodoc ChangeLog DISTFILES NEWS README README.ja
+}
diff --git a/net-dns/idnkit/metadata.xml b/net-dns/idnkit/metadata.xml
new file mode 100644
index 00000000000..52363bff0cb
--- /dev/null
+++ b/net-dns/idnkit/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jer@gentoo.org</email>
+ <name>Jeroen Roovers</name>
+ </maintainer>
+</pkgmetadata>